%define	ver		1.0
%define	rel		8
%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType

%define xttfontsver	0.19990222
%define	xttfonts	xtt-fonts_%{xttfontsver}-5
%define	kochimin	kochi-mincho-0.0.20010608
%define	kochigoth	kochi-gothic-0.0.20010709

Name:		ttfonts-ja
Version:	%{ver}
Release:	%{rel}
License:	Distributable
Group: User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

Source0:	http://www.debian.or.jp/debian-jp/dists/potato-jp/main/source/x11/%{xttfonts}.tar.bz2
Source1:	fonts.scale.xtt
Source10:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochimin}.tar.bz2
Source11:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochigoth}.tar.bz2
Source12:	fonts.alias.kk
Source13:	fonts.scale.kk
Source14:	nonxtt-fonts.scale.kk

BuildPreReq:	XFree86-xfs
BuildPreReq:	VFlib2
PreReq:		chkfontpath fileutils

Obsoletes:	xtt-fonts
Provides:	xtt-fonts

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q -c -a 10 -a 11

%build
pushd xtt-fonts-%{xttfontsver}
ttindex watanabe-mincho
ttindex wadalab-gothic
popd
pushd kochi-mincho/fonts
ttindex kochi-mincho
popd
pushd kochi-gothic/fonts
ttindex kochi-gothic
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
pushd xtt-fonts-%{xttfontsver}
install -pm 0644 %{SOURCE1} $RPM_BUILD_ROOT%{xfontdir}/
install -pm 0644 *.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-mincho
install -pm 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-gothic
install -pm 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
cp %{SOURCE12} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias.kk
install -pm 0644 %{SOURCE12} $RPM_BUILD_ROOT%{xfontdir}/
install -pm 0644 %{SOURCE13} $RPM_BUILD_ROOT%{xfontdir}/xtt-fonts.scale
install -pm 0644 %{SOURCE14} $RPM_BUILD_ROOT%{xfontdir}/

# create scale files
pushd $RPM_BUILD_ROOT%{xfontdir}
scalefiles=`ls fonts.scale* xtt-fonts.scale* 2> /dev/null | grep -v rpm`
if [ "x$scalefiles" != "x" ]; then
	for i in $scalefiles; do
		tail +2 $i >> /tmp/fonts.scale.$$$
	done
	echo `cat /tmp/fonts.scale.$$$ | wc -l | awk '{print $1}'` > fonts.scale
	cat /tmp/fonts.scale.$$$ >> fonts.scale
	rm /tmp/fonts.scale.$$$
fi
mv fonts.scale /tmp/fonts.scale.xtt
rm xtt-fonts.scale*
# create non-xtt scale files
scalefiles=`ls fonts.scale* nonxtt-fonts.scale.* 2> /dev/null | grep -v rpm`
if [ "x$scalefiles" != "x" ]; then
	for i in $scalefiles; do
		tail +2 $i >> /tmp/fonts.scale.$$$
	done
	echo `cat /tmp/fonts.scale.$$$ | wc -l | awk '{print $1}'` > fonts.scale
	cat /tmp/fonts.scale.$$$ >> fonts.scale
	rm /tmp/fonts.scale.$$$
fi
mv /tmp/fonts.scale.xtt .
# create alias file
aliasfiles=`ls fonts.alias.* 2> /dev/null | grep -v rpm`
if [ "x$aliasfiles" != "x" ]; then
	for i in $aliasfiles; do
		cat $i >> fonts.alias
	done
fi

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
			 -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 $RPM_BUILD_ROOT%{xfontdir}

popd

pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/kochi-mincho.ttf default.font
	ln -s TrueType/kochi-gothic.ttf default-bold.font
popd

# doc
install -d doc
install -d doc/xtt-fonts-%{xttfontsver}
install -d doc/%{kochimin}
install -d doc/%{kochigoth}

pushd xtt-fonts-%{xttfontsver}
	cp -ar *README* fonts.* debian/{changelog,copyright} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/xtt-fonts-%{xttfontsver}
popd
pushd kochi-mincho
	cp -ar {AUTHORS,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochimin}
popd
pushd kochi-gothic
	cp -ar {AUTHORS,CHANGES,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochigoth}
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a %{xfontdir}
touch %{xfontdir}/fonts.dir

%postun
if [ "$1" = "0" ];
then
	/usr/sbin/chkfontpath -q -r %{xfontdir}
fi

%files
%defattr(-,root,root)
%doc doc/*
%dir %{xfontdir_}
%dir %{xfontdir}
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/fonts.scale.xtt
%config(noreplace) %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir}/encodings.dir
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/*ttf
%{xfontdir}/*tti

%changelog
* Thu Apr 25 2002 Bill Nottingham <notting@redhat.com> 1.0-8
- touch fonts.dir in %post to make it newer than everything else,
  working around potential XFree86 bug (#60691)

* Thu Oct 11 2001 Preston Brown <pbrown@redhat.com> 1.0-7
- get rid of bad ISO8859-1 aliases and incorrect italic, bold mappings

* Wed Aug  8 2001 Akira TAGOH <tagoh@redhat.com> 1.0-6
- fixed default fonts.dir for non-xtt

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0-5
- added default font for Nautilus.

* Tue Jul 17 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- updated kochi fonts.
- fixed directory owner

* Mon Jul 09 2001 Karsten Hopp <karsten@redhat.de>
- fix japanese description (-l). But why is it in the
  .spec file at all ?

* Tue Jun 26 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- don't use bzip2'ed compress when file size is small.
- changed family name.

* Wed Jun 13 2001 Akira TAGOH <tagoh@redhat.com> 1.0-1
- Initial build.

